# WordNet handles most lemmatisation, but it struggles with a few things.

# During lemmatisation, words will be corrected via this list.

# insert the word and what you want it to be turned into.

wordlist = {u"felt": u"feel",
            u"'s": u"be",
            u"'re": u"be",
            u"'m": u"be",
            u"'d": u"have",
            u"'ve": u"have",
            u"n't": u"not",
            u"smelt": u"smell",
            u"saw": u"see",
            u"hated": u"hate",
            u"people": u"person",
            u"peoples": u"person",
            u"persons": u"person",
            u"women": u"woman",
            u"men": u"man",
            u"teen-ager": u"teenager",
            u"teen-agers": u"teenager",
            u"republicans": u"republican",
            u"them": u"they",
            u"us": u"we",
            u"me": u"i",
            u"her": u"she",
            u"him": u"he",
            u"pdocs": u"pdoc",
            u'can': u'can',
            u'will': u'will',
            u'would': u'will',
            u'could': u'can',
            u'ca': u'can',
            u'may': u'may',
            u'should': u'shall',
            u'shalt': u'shall',
            u"'ll": u'will',
            u'might': u'may',
            u'wo': u'will',
            u'shall': u'shall',
            u'mighta': u'may'}

# lemmatisation for treebank tags

taglemma = {u"cc": u"Coordinating conjunction",
           u"cd": u"Cardinal number",
           u"dt": u"Determiner",
           u"ex": u"Ex. there",
           u"fw": u"Foreign word",
           u"in": u"Preposition",
           u"ls": u"List item marker",
           u"md": u"Modal",
           u"pdt": u"Predeterminer",
           u"pos": u"Possessive ending",
           u"rp": u"Particle",
           u"sym": u"Symbol",
           u"to": u"to",
           u"uh": u"Interjection",
           u"wdt": u"Wh-determiner",
           u"wp": u"Wh-pronoun",
           u"wp$": u"Possessive wh-pronoun",
           u"wrb": u"Wh-adverb",
           u"vbp": u"Verb",
           u"vbz": u"Verb",
           u"vbn": u"Verb",
           u"vbd": u"Verb",
           u"vbg": u"Verb",
           u"vb": u"Verb",
           u"nnp": u"Noun",
           u"nns": u"Noun",
           u"nnps": u"Noun",
           u"nn": u"Noun",
           u"prp": u"Pronoun",
           u"prp$": u"Pronoun",
           u"jj": u"Adjective",
           u"jjr": u"Adjective",
           u"jjs": u"Adjective",
           u"rb": u"Adverb",
           u"rbr": u"Adverb",
           u"rbs": u"Adverb",
           u"wp": u"Wh- pronoun",
           u"wp$": u"Wh- pronoun",
           u"-rrb-": u"Bracket",
           u"-lrb-": u"Bracket",
           u"-rsb-": u"Bracket",
           u"-lsb-": u"Bracket",
           u"to": u"To",
           u'$': u'Symbol',
           u'x': u'Other',
           u"!": u'Punctuation',
           u'"': u'Punctuation',
           u"#": u'Punctuation',
           u"%": u'Punctuation',
           u"&": u'Punctuation',
           u"\\": u'Punctuation',
           u"'": u'Punctuation',
           u"(": u'Punctuation',
           u")": u'Punctuation',
           u"*": u'Punctuation',
           u"+": u'Punctuation',
           u",": u'Punctuation',
           u"-": u'Punctuation',
           u".": u'Punctuation',
           u"/": u'Punctuation',
           u":": u'Punctuation',
           u";": u'Punctuation',
           u"<": u'Punctuation',
           u"=": u'Punctuation',
           u">": u'Punctuation',
           u"?": u'Punctuation',
           u"@": u'Punctuation',
           u"[": u'Punctuation',
           u"]": u'Punctuation',
           u"^": u'Punctuation',
           u"_": u'Punctuation',
           u"`": u'Punctuation',
           u"{": u'Punctuation',
           u"|": u'Punctuation',
           u"}": u'Punctuation',
           u"~": u'Punctuation'}

# the below produced with:
#
# from corpkit import *
# from dictionaries import *
# out = {}
# for wordclass in tagtoclass.values():
#     criteria = [tag for tag, clas in tagtoclass.items() if clas == wordclass]
#     reg = as_regex(criteria, boundaries = 'l')
#     out[wordclass] = reg
# out

mergetags = {u'Adjective': r'(?i)^(jj|jjr|jjs)$',
             u'Adverb': r'(?i)^(rb|rbr|rbs)$',
             u'Bracket': r'(?i)^(\-lrb\-|\-lsb\-|\-rrb\-|\-rsb\-)$',
             u'Cardinal number': r'(?i)^(cd)$',
             u'Coordinating conjunction': r'(?i)^(cc)$',
             u'Determiner': r'(?i)^(dt)$',
             u'Ex. there': r'(?i)^(ex)$',
             u'Foreign word': r'(?i)^(fw)$',
             u'Interjection': r'(?i)^(uh)$',
             u'List item marker': r'(?i)^(ls)$',
             u'Modal': r'(?i)^(md)$',
             u'Noun': r'(?i)^(nn|nnp|nnps|nns)$',
             U'Other': r'(?i)^(x)$',
             u'Particle': r'(?i)^(rp)$',
             u'Possessive ending': r'(?i)^(pos)$',
             u'Predeterminer': r'(?i)^(pdt)$',
             u'Preposition': r'(?i)^(in)$',
             u'Pronoun': r'(?i)^(prp|prp\$)$',
             u'Symbol': r'(?i)^(\$|sym)$',
             u'To': r'(?i)^(to)$',
             u'Verb': r'(?i)^(vb|vbd|vbg|vbn|vbp|vbz)$',
             u'Wh- pronoun': r'(?i)^(wp|wp\$)$',
             u'Wh-adverb': r'(?i)^(wrb)$',
             u'Wh-determiner': r'(?i)^(wdt)$'}

usa_convert = {u"accessorise": u"accessorize",
        u"accessorised": u"accessorized",
        u"accessorises": u"accessorizes",
        u"accessorising": u"accessorizing",
        u"acclimatisation": u"acclimatization",
        u"acclimatise": u"acclimatize",
        u"acclimatised": u"acclimatized",
        u"acclimatises": u"acclimatizes",
        u"acclimatising": u"acclimatizing",
        u"accoutrements": u"accouterments",
        u"aeon": u"eon",
        u"aeons": u"eons",
        u"aerogramme": u"aerogram",
        u"aerogrammes": u"aerograms",
        u"aeroplane": u"airplane",
        u"aeroplanes": u"airplanes",
        u"aesthete": u"esthete",
        u"aesthetes": u"esthetes",
        u"aesthetic": u"esthetic",
        u"aesthetically": u"esthetically",
        u"aesthetics": u"esthetics",
        u"aetiology": u"etiology",
        u"ageing": u"aging",
        u"aggrandisement": u"aggrandizement",
        u"agonise": u"agonize",
        u"agonised": u"agonized",
        u"agonises": u"agonizes",
        u"agonising": u"agonizing",
        u"agonisingly": u"agonizingly",
        u"almanack": u"almanac",
        u"almanacks": u"almanacs",
        u"aluminium": u"aluminum",
        u"amortisable": u"amortizable",
        u"amortisation": u"amortization",
        u"amortisations": u"amortizations",
        u"amortise": u"amortize",
        u"amortised": u"amortized",
        u"amortises": u"amortizes",
        u"amortising": u"amortizing",
        u"amphitheatre": u"amphitheater",
        u"amphitheatres": u"amphitheaters",
        u"anaemia": u"anemia",
        u"anaemic": u"anemic",
        u"anaesthesia": u"anesthesia",
        u"anaesthetic": u"anesthetic",
        u"anaesthetics": u"anesthetics",
        u"anaesthetise": u"anesthetize",
        u"anaesthetised": u"anesthetized",
        u"anaesthetises": u"anesthetizes",
        u"anaesthetising": u"anesthetizing",
        u"anaesthetist": u"anesthetist",
        u"anaesthetists": u"anesthetists",
        u"anaesthetize": u"anesthetize",
        u"anaesthetized": u"anesthetized",
        u"anaesthetizes": u"anesthetizes",
        u"anaesthetizing": u"anesthetizing",
        u"analogue": u"analog",
        u"analogues": u"analogs",
        u"analyse": u"analyze",
        u"analysed": u"analyzed",
        u"analyses": u"analyzes",
        u"analysing": u"analyzing",
        u"anglicise": u"anglicize",
        u"anglicised": u"anglicized",
        u"anglicises": u"anglicizes",
        u"anglicising": u"anglicizing",
        u"annualised": u"annualized",
        u"antagonise": u"antagonize",
        u"antagonised": u"antagonized",
        u"antagonises": u"antagonizes",
        u"antagonising": u"antagonizing",
        u"apologise": u"apologize",
        u"apologised": u"apologized",
        u"apologises": u"apologizes",
        u"apologising": u"apologizing",
        u"appal": u"appall",
        u"appals": u"appalls",
        u"appetiser": u"appetizer",
        u"appetisers": u"appetizers",
        u"appetising": u"appetizing",
        u"appetisingly": u"appetizingly",
        u"arbour": u"arbor",
        u"arbours": u"arbors",
        u"archaeological": u"archeological",
        u"archaeologically": u"archeologically",
        u"archaeologist": u"archeologist",
        u"archaeologists": u"archeologists",
        u"archaeology": u"archeology",
        u"ardour": u"ardor",
        u"armour": u"armor",
        u"armoured": u"armored",
        u"armourer": u"armorer",
        u"armourers": u"armorers",
        u"armouries": u"armories",
        u"armoury": u"armory",
        u"artefact": u"artifact",
        u"artefacts": u"artifacts",
        u"authorise": u"authorize",
        u"authorised": u"authorized",
        u"authorises": u"authorizes",
        u"authorising": u"authorizing",
        u"axe": u"ax",
        u"backpedalled": u"backpedaled",
        u"backpedalling": u"backpedaling",
        u"bannister": u"banister",
        u"bannisters": u"banisters",
        u"baptise": u"baptize",
        u"baptised": u"baptized",
        u"baptises": u"baptizes",
        u"baptising": u"baptizing",
        u"bastardise": u"bastardize",
        u"bastardised": u"bastardized",
        u"bastardises": u"bastardizes",
        u"bastardising": u"bastardizing",
        u"battleaxe": u"battleax",
        u"baulk": u"balk",
        u"baulked": u"balked",
        u"baulking": u"balking",
        u"baulks": u"balks",
        u"bedevilled": u"bedeviled",
        u"bedevilling": u"bedeviling",
        u"behaviour": u"behavior",
        u"behavioural": u"behavioral",
        u"behaviourism": u"behaviorism",
        u"behaviourist": u"behaviorist",
        u"behaviourists": u"behaviorists",
        u"behaviours": u"behaviors",
        u"behove": u"behoove",
        u"behoved": u"behooved",
        u"behoves": u"behooves",
        u"bejewelled": u"bejeweled",
        u"belabour": u"belabor",
        u"belaboured": u"belabored",
        u"belabouring": u"belaboring",
        u"belabours": u"belabors",
        u"bevelled": u"beveled",
        u"bevvies": u"bevies",
        u"bevvy": u"bevy",
        u"biassed": u"biased",
        u"biassing": u"biasing",
        u"bingeing": u"binging",
        u"bougainvillaea": u"bougainvillea",
        u"bougainvillaeas": u"bougainvilleas",
        u"bowdlerise": u"bowdlerize",
        u"bowdlerised": u"bowdlerized",
        u"bowdlerises": u"bowdlerizes",
        u"bowdlerising": u"bowdlerizing",
        u"breathalyse": u"breathalyze",
        u"breathalysed": u"breathalyzed",
        u"breathalyser": u"breathalyzer",
        u"breathalysers": u"breathalyzers",
        u"breathalyses": u"breathalyzes",
        u"breathalysing": u"breathalyzing",
        u"brutalise": u"brutalize",
        u"brutalised": u"brutalized",
        u"brutalises": u"brutalizes",
        u"brutalising": u"brutalizing",
        u"buses": u"busses",
        u"busing": u"bussing",
        u"caesarean": u"cesarean",
        u"caesareans": u"cesareans",
        u"calibre": u"caliber",
        u"calibres": u"calibers",
        u"calliper": u"caliper",
        u"callipers": u"calipers",
        u"callisthenics": u"calisthenics",
        u"canalise": u"canalize",
        u"canalised": u"canalized",
        u"canalises": u"canalizes",
        u"canalising": u"canalizing",
        u"cancellation": u"cancelation",
        u"cancellations": u"cancelations",
        u"cancelled": u"canceled",
        u"cancelling": u"canceling",
        u"candour": u"candor",
        u"cannibalise": u"cannibalize",
        u"cannibalised": u"cannibalized",
        u"cannibalises": u"cannibalizes",
        u"cannibalising": u"cannibalizing",
        u"canonise": u"canonize",
        u"canonised": u"canonized",
        u"canonises": u"canonizes",
        u"canonising": u"canonizing",
        u"capitalise": u"capitalize",
        u"capitalised": u"capitalized",
        u"capitalises": u"capitalizes",
        u"capitalising": u"capitalizing",
        u"caramelise": u"caramelize",
        u"caramelised": u"caramelized",
        u"caramelises": u"caramelizes",
        u"caramelising": u"caramelizing",
        u"carbonise": u"carbonize",
        u"carbonised": u"carbonized",
        u"carbonises": u"carbonizes",
        u"carbonising": u"carbonizing",
        u"carolled": u"caroled",
        u"carolling": u"caroling",
        u"catalogue": u"catalog",
        u"catalogued": u"cataloged",
        u"catalogues": u"catalogs",
        u"cataloguing": u"cataloging",
        u"catalyse": u"catalyze",
        u"catalysed": u"catalyzed",
        u"catalyses": u"catalyzes",
        u"catalysing": u"catalyzing",
        u"categorise": u"categorize",
        u"categorised": u"categorized",
        u"categorises": u"categorizes",
        u"categorising": u"categorizing",
        u"cauterise": u"cauterize",
        u"cauterised": u"cauterized",
        u"cauterises": u"cauterizes",
        u"cauterising": u"cauterizing",
        u"cavilled": u"caviled",
        u"cavilling": u"caviling",
        u"centigramme": u"centigram",
        u"centigrammes": u"centigrams",
        u"centilitre": u"centiliter",
        u"centilitres": u"centiliters",
        u"centimetre": u"centimeter",
        u"centimetres": u"centimeters",
        u"centralise": u"centralize",
        u"centralised": u"centralized",
        u"centralises": u"centralizes",
        u"centralising": u"centralizing",
        u"centre": u"center",
        u"centred": u"centered",
        u"centrefold": u"centerfold",
        u"centrefolds": u"centerfolds",
        u"centrepiece": u"centerpiece",
        u"centrepieces": u"centerpieces",
        u"centres": u"centers",
        u"channelled": u"channeled",
        u"channelling": u"channeling",
        u"characterise": u"characterize",
        u"characterised": u"characterized",
        u"characterises": u"characterizes",
        u"characterising": u"characterizing",
        u"cheque": u"check",
        u"chequebook": u"checkbook",
        u"chequebooks": u"checkbooks",
        u"chequered": u"checkered",
        u"cheques": u"checks",
        u"chilli": u"chili",
        u"chimaera": u"chimera",
        u"chimaeras": u"chimeras",
        u"chiselled": u"chiseled",
        u"chiselling": u"chiseling",
        u"circularise": u"circularize",
        u"circularised": u"circularized",
        u"circularises": u"circularizes",
        u"circularising": u"circularizing",
        u"civilise": u"civilize",
        u"civilised": u"civilized",
        u"civilises": u"civilizes",
        u"civilising": u"civilizing",
        u"clamour": u"clamor",
        u"clamoured": u"clamored",
        u"clamouring": u"clamoring",
        u"clamours": u"clamors",
        u"clangour": u"clangor",
        u"clarinettist": u"clarinetist",
        u"clarinettists": u"clarinetists",
        u"collectivise": u"collectivize",
        u"collectivised": u"collectivized",
        u"collectivises": u"collectivizes",
        u"collectivising": u"collectivizing",
        u"colonisation": u"colonization",
        u"colonise": u"colonize",
        u"colonised": u"colonized",
        u"coloniser": u"colonizer",
        u"colonisers": u"colonizers",
        u"colonises": u"colonizes",
        u"colonising": u"colonizing",
        u"colour": u"color",
        u"colourant": u"colorant",
        u"colourants": u"colorants",
        u"coloured": u"colored",
        u"coloureds": u"coloreds",
        u"colourful": u"colorful",
        u"colourfully": u"colorfully",
        u"colouring": u"coloring",
        u"colourize": u"colorize",
        u"colourized": u"colorized",
        u"colourizes": u"colorizes",
        u"colourizing": u"colorizing",
        u"colourless": u"colorless",
        u"colours": u"colors",
        u"commercialise": u"commercialize",
        u"commercialised": u"commercialized",
        u"commercialises": u"commercializes",
        u"commercialising": u"commercializing",
        u"compartmentalise": u"compartmentalize",
        u"compartmentalised": u"compartmentalized",
        u"compartmentalises": u"compartmentalizes",
        u"compartmentalising": u"compartmentalizing",
        u"computerise": u"computerize",
        u"computerised": u"computerized",
        u"computerises": u"computerizes",
        u"computerising": u"computerizing",
        u"conceptualise": u"conceptualize",
        u"conceptualised": u"conceptualized",
        u"conceptualises": u"conceptualizes",
        u"conceptualising": u"conceptualizing",
        u"connexion": u"connection",
        u"connexions": u"connections",
        u"contextualise": u"contextualize",
        u"contextualised": u"contextualized",
        u"contextualises": u"contextualizes",
        u"contextualising": u"contextualizing",
        u"cosier": u"cozier",
        u"cosies": u"cozies",
        u"cosiest": u"coziest",
        u"cosily": u"cozily",
        u"cosiness": u"coziness",
        u"cosy": u"cozy",
        u"councillor": u"councilor",
        u"councillors": u"councilors",
        u"counselled": u"counseled",
        u"counselling": u"counseling",
        u"counsellor": u"counselor",
        u"counsellors": u"counselors",
        u"crenellated": u"crenelated",
        u"criminalise": u"criminalize",
        u"criminalised": u"criminalized",
        u"criminalises": u"criminalizes",
        u"criminalising": u"criminalizing",
        u"criticise": u"criticize",
        u"criticised": u"criticized",
        u"criticises": u"criticizes",
        u"criticising": u"criticizing",
        u"crueller": u"crueler",
        u"cruellest": u"cruelest",
        u"crystallisation": u"crystallization",
        u"crystallise": u"crystallize",
        u"crystallised": u"crystallized",
        u"crystallises": u"crystallizes",
        u"crystallising": u"crystallizing",
        u"cudgelled": u"cudgeled",
        u"cudgelling": u"cudgeling",
        u"customise": u"customize",
        u"customised": u"customized",
        u"customises": u"customizes",
        u"customising": u"customizing",
        u"cypher": u"cipher",
        u"cyphers": u"ciphers",
        u"decentralisation": u"decentralization",
        u"decentralise": u"decentralize",
        u"decentralised": u"decentralized",
        u"decentralises": u"decentralizes",
        u"decentralising": u"decentralizing",
        u"decriminalisation": u"decriminalization",
        u"decriminalise": u"decriminalize",
        u"decriminalised": u"decriminalized",
        u"decriminalises": u"decriminalizes",
        u"decriminalising": u"decriminalizing",
        u"defence": u"defense",
        u"defenceless": u"defenseless",
        u"defences": u"defenses",
        u"dehumanisation": u"dehumanization",
        u"dehumanise": u"dehumanize",
        u"dehumanised": u"dehumanized",
        u"dehumanises": u"dehumanizes",
        u"dehumanising": u"dehumanizing",
        u"demeanour": u"demeanor",
        u"demilitarisation": u"demilitarization",
        u"demilitarise": u"demilitarize",
        u"demilitarised": u"demilitarized",
        u"demilitarises": u"demilitarizes",
        u"demilitarising": u"demilitarizing",
        u"demobilisation": u"demobilization",
        u"demobilise": u"demobilize",
        u"demobilised": u"demobilized",
        u"demobilises": u"demobilizes",
        u"demobilising": u"demobilizing",
        u"democratisation": u"democratization",
        u"democratise": u"democratize",
        u"democratised": u"democratized",
        u"democratises": u"democratizes",
        u"democratising": u"democratizing",
        u"demonise": u"demonize",
        u"demonised": u"demonized",
        u"demonises": u"demonizes",
        u"demonising": u"demonizing",
        u"demoralisation": u"demoralization",
        u"demoralise": u"demoralize",
        u"demoralised": u"demoralized",
        u"demoralises": u"demoralizes",
        u"demoralising": u"demoralizing",
        u"denationalisation": u"denationalization",
        u"denationalise": u"denationalize",
        u"denationalised": u"denationalized",
        u"denationalises": u"denationalizes",
        u"denationalising": u"denationalizing",
        u"deodorise": u"deodorize",
        u"deodorised": u"deodorized",
        u"deodorises": u"deodorizes",
        u"deodorising": u"deodorizing",
        u"depersonalise": u"depersonalize",
        u"depersonalised": u"depersonalized",
        u"depersonalises": u"depersonalizes",
        u"depersonalising": u"depersonalizing",
        u"deputise": u"deputize",
        u"deputised": u"deputized",
        u"deputises": u"deputizes",
        u"deputising": u"deputizing",
        u"desensitisation": u"desensitization",
        u"desensitise": u"desensitize",
        u"desensitised": u"desensitized",
        u"desensitises": u"desensitizes",
        u"desensitising": u"desensitizing",
        u"destabilisation": u"destabilization",
        u"destabilise": u"destabilize",
        u"destabilised": u"destabilized",
        u"destabilises": u"destabilizes",
        u"destabilising": u"destabilizing",
        u"dialled": u"dialed",
        u"dialling": u"dialing",
        u"dialogue": u"dialog",
        u"dialogues": u"dialogs",
        u"diarrhoea": u"diarrhea",
        u"digitise": u"digitize",
        u"digitised": u"digitized",
        u"digitises": u"digitizes",
        u"digitising": u"digitizing",
        u"disc": u"disk",
        u"discolour": u"discolor",
        u"discoloured": u"discolored",
        u"discolouring": u"discoloring",
        u"discolours": u"discolors",
        u"discs": u"disks",
        u"disembowelled": u"disemboweled",
        u"disembowelling": u"disemboweling",
        u"disfavour": u"disfavor",
        u"dishevelled": u"disheveled",
        u"dishonour": u"dishonor",
        u"dishonourable": u"dishonorable",
        u"dishonourably": u"dishonorably",
        u"dishonoured": u"dishonored",
        u"dishonouring": u"dishonoring",
        u"dishonours": u"dishonors",
        u"disorganisation": u"disorganization",
        u"disorganised": u"disorganized",
        u"distil": u"distill",
        u"distils": u"distills",
        u"dramatisation": u"dramatization",
        u"dramatisations": u"dramatizations",
        u"dramatise": u"dramatize",
        u"dramatised": u"dramatized",
        u"dramatises": u"dramatizes",
        u"dramatising": u"dramatizing",
        u"draught": u"draft",
        u"draughtboard": u"draftboard",
        u"draughtboards": u"draftboards",
        u"draughtier": u"draftier",
        u"draughtiest": u"draftiest",
        u"draughts": u"drafts",
        u"draughtsman": u"draftsman",
        u"draughtsmanship": u"draftsmanship",
        u"draughtsmen": u"draftsmen",
        u"draughtswoman": u"draftswoman",
        u"draughtswomen": u"draftswomen",
        u"draughty": u"drafty",
        u"drivelled": u"driveled",
        u"drivelling": u"driveling",
        u"duelled": u"dueled",
        u"duelling": u"dueling",
        u"economise": u"economize",
        u"economised": u"economized",
        u"economises": u"economizes",
        u"economising": u"economizing",
        u"edoema": u"edema",
        u"editorialise": u"editorialize",
        u"editorialised": u"editorialized",
        u"editorialises": u"editorializes",
        u"editorialising": u"editorializing",
        u"empathise": u"empathize",
        u"empathised": u"empathized",
        u"empathises": u"empathizes",
        u"empathising": u"empathizing",
        u"emphasise": u"emphasize",
        u"emphasised": u"emphasized",
        u"emphasises": u"emphasizes",
        u"emphasising": u"emphasizing",
        u"enamelled": u"enameled",
        u"enamelling": u"enameling",
        u"enamoured": u"enamored",
        u"encyclopaedia": u"encyclopedia",
        u"encyclopaedias": u"encyclopedias",
        u"encyclopaedic": u"encyclopedic",
        u"endeavour": u"endeavor",
        u"endeavoured": u"endeavored",
        u"endeavouring": u"endeavoring",
        u"endeavours": u"endeavors",
        u"energise": u"energize",
        u"energised": u"energized",
        u"energises": u"energizes",
        u"energising": u"energizing",
        u"enrol": u"enroll",
        u"enrols": u"enrolls",
        u"enthral": u"enthrall",
        u"enthrals": u"enthralls",
        u"epaulette": u"epaulet",
        u"epaulettes": u"epaulets",
        u"epicentre": u"epicenter",
        u"epicentres": u"epicenters",
        u"epilogue": u"epilog",
        u"epilogues": u"epilogs",
        u"epitomise": u"epitomize",
        u"epitomised": u"epitomized",
        u"epitomises": u"epitomizes",
        u"epitomising": u"epitomizing",
        u"equalisation": u"equalization",
        u"equalise": u"equalize",
        u"equalised": u"equalized",
        u"equaliser": u"equalizer",
        u"equalisers": u"equalizers",
        u"equalises": u"equalizes",
        u"equalising": u"equalizing",
        u"eulogise": u"eulogize",
        u"eulogised": u"eulogized",
        u"eulogises": u"eulogizes",
        u"eulogising": u"eulogizing",
        u"evangelise": u"evangelize",
        u"evangelised": u"evangelized",
        u"evangelises": u"evangelizes",
        u"evangelising": u"evangelizing",
        u"exorcise": u"exorcize",
        u"exorcised": u"exorcized",
        u"exorcises": u"exorcizes",
        u"exorcising": u"exorcizing",
        u"extemporisation": u"extemporization",
        u"extemporise": u"extemporize",
        u"extemporised": u"extemporized",
        u"extemporises": u"extemporizes",
        u"extemporising": u"extemporizing",
        u"externalisation": u"externalization",
        u"externalisations": u"externalizations",
        u"externalise": u"externalize",
        u"externalised": u"externalized",
        u"externalises": u"externalizes",
        u"externalising": u"externalizing",
        u"factorise": u"factorize",
        u"factorised": u"factorized",
        u"factorises": u"factorizes",
        u"factorising": u"factorizing",
        u"faecal": u"fecal",
        u"faeces": u"feces",
        u"familiarisation": u"familiarization",
        u"familiarise": u"familiarize",
        u"familiarised": u"familiarized",
        u"familiarises": u"familiarizes",
        u"familiarising": u"familiarizing",
        u"fantasise": u"fantasize",
        u"fantasised": u"fantasized",
        u"fantasises": u"fantasizes",
        u"fantasising": u"fantasizing",
        u"favour": u"favor",
        u"favourable": u"favorable",
        u"favourably": u"favorably",
        u"favoured": u"favored",
        u"favouring": u"favoring",
        u"favourite": u"favorite",
        u"favourites": u"favorites",
        u"favouritism": u"favoritism",
        u"favours": u"favors",
        u"feminise": u"feminize",
        u"feminised": u"feminized",
        u"feminises": u"feminizes",
        u"feminising": u"feminizing",
        u"fertilisation": u"fertilization",
        u"fertilise": u"fertilize",
        u"fertilised": u"fertilized",
        u"fertiliser": u"fertilizer",
        u"fertilisers": u"fertilizers",
        u"fertilises": u"fertilizes",
        u"fertilising": u"fertilizing",
        u"fervour": u"fervor",
        u"fibre": u"fiber",
        u"fibreglass": u"fiberglass",
        u"fibres": u"fibers",
        u"fictionalisation": u"fictionalization",
        u"fictionalisations": u"fictionalizations",
        u"fictionalise": u"fictionalize",
        u"fictionalised": u"fictionalized",
        u"fictionalises": u"fictionalizes",
        u"fictionalising": u"fictionalizing",
        u"fillet": u"filet",
        u"filleted": u"fileted",
        u"filleting": u"fileting",
        u"fillets": u"filets",
        u"finalisation": u"finalization",
        u"finalise": u"finalize",
        u"finalised": u"finalized",
        u"finalises": u"finalizes",
        u"finalising": u"finalizing",
        u"flautist": u"flutist",
        u"flautists": u"flutists",
        u"flavour": u"flavor",
        u"flavoured": u"flavored",
        u"flavouring": u"flavoring",
        u"flavourings": u"flavorings",
        u"flavourless": u"flavorless",
        u"flavours": u"flavors",
        u"flavoursome": u"flavorsome",
        u"flyer / flier": u"flier / flyer",
        u"foetal": u"fetal",
        u"foetid": u"fetid",
        u"foetus": u"fetus",
        u"foetuses": u"fetuses",
        u"formalisation": u"formalization",
        u"formalise": u"formalize",
        u"formalised": u"formalized",
        u"formalises": u"formalizes",
        u"formalising": u"formalizing",
        u"fossilisation": u"fossilization",
        u"fossilise": u"fossilize",
        u"fossilised": u"fossilized",
        u"fossilises": u"fossilizes",
        u"fossilising": u"fossilizing",
        u"fraternisation": u"fraternization",
        u"fraternise": u"fraternize",
        u"fraternised": u"fraternized",
        u"fraternises": u"fraternizes",
        u"fraternising": u"fraternizing",
        u"fulfil": u"fulfill",
        u"fulfilment": u"fulfillment",
        u"fulfils": u"fulfills",
        u"funnelled": u"funneled",
        u"funnelling": u"funneling",
        u"galvanise": u"galvanize",
        u"galvanised": u"galvanized",
        u"galvanises": u"galvanizes",
        u"galvanising": u"galvanizing",
        u"gambolled": u"gamboled",
        u"gambolling": u"gamboling",
        u"gaol": u"jail",
        u"gaolbird": u"jailbird",
        u"gaolbirds": u"jailbirds",
        u"gaolbreak": u"jailbreak",
        u"gaolbreaks": u"jailbreaks",
        u"gaoled": u"jailed",
        u"gaoler": u"jailer",
        u"gaolers": u"jailers",
        u"gaoling": u"jailing",
        u"gaols": u"jails",
        u"gases": u"gasses",
        u"gauge": u"gage",
        u"gauged": u"gaged",
        u"gauges": u"gages",
        u"gauging": u"gaging",
        u"generalisation": u"generalization",
        u"generalisations": u"generalizations",
        u"generalise": u"generalize",
        u"generalised": u"generalized",
        u"generalises": u"generalizes",
        u"generalising": u"generalizing",
        u"ghettoise": u"ghettoize",
        u"ghettoised": u"ghettoized",
        u"ghettoises": u"ghettoizes",
        u"ghettoising": u"ghettoizing",
        u"gipsies": u"gypsies",
        u"glamorise": u"glamorize",
        u"glamorised": u"glamorized",
        u"glamorises": u"glamorizes",
        u"glamorising": u"glamorizing",
        u"glamour": u"glamor",
        u"globalisation": u"globalization",
        u"globalise": u"globalize",
        u"globalised": u"globalized",
        u"globalises": u"globalizes",
        u"globalising": u"globalizing",
        u"glueing": u"gluing",
        u"goitre": u"goiter",
        u"goitres": u"goiters",
        u"gonorrhoea": u"gonorrhea",
        u"gramme": u"gram",
        u"grammes": u"grams",
        u"gravelled": u"graveled",
        u"grey": u"gray",
        u"greyed": u"grayed",
        u"greying": u"graying",
        u"greyish": u"grayish",
        u"greyness": u"grayness",
        u"greys": u"grays",
        u"grovelled": u"groveled",
        u"grovelling": u"groveling",
        u"groyne": u"groin",
        u"groynes": u"groins",
        u"gruelling": u"grueling",
        u"gruellingly": u"gruelingly",
        u"gryphon": u"griffin",
        u"gryphons": u"griffins",
        u"gynaecological": u"gynecological",
        u"gynaecologist": u"gynecologist",
        u"gynaecologists": u"gynecologists",
        u"gynaecology": u"gynecology",
        u"haematological": u"hematological",
        u"haematologist": u"hematologist",
        u"haematologists": u"hematologists",
        u"haematology": u"hematology",
        u"haemoglobin": u"hemoglobin",
        u"haemophilia": u"hemophilia",
        u"haemophiliac": u"hemophiliac",
        u"haemophiliacs": u"hemophiliacs",
        u"haemorrhage": u"hemorrhage",
        u"haemorrhaged": u"hemorrhaged",
        u"haemorrhages": u"hemorrhages",
        u"haemorrhaging": u"hemorrhaging",
        u"haemorrhoids": u"hemorrhoids",
        u"harbour": u"harbor",
        u"harboured": u"harbored",
        u"harbouring": u"harboring",
        u"harbours": u"harbors",
        u"harmonisation": u"harmonization",
        u"harmonise": u"harmonize",
        u"harmonised": u"harmonized",
        u"harmonises": u"harmonizes",
        u"harmonising": u"harmonizing",
        u"homoeopath": u"homeopath",
        u"homoeopathic": u"homeopathic",
        u"homoeopaths": u"homeopaths",
        u"homoeopathy": u"homeopathy",
        u"homogenise": u"homogenize",
        u"homogenised": u"homogenized",
        u"homogenises": u"homogenizes",
        u"homogenising": u"homogenizing",
        u"honour": u"honor",
        u"honourable": u"honorable",
        u"honourably": u"honorably",
        u"honoured": u"honored",
        u"honouring": u"honoring",
        u"honours": u"honors",
        u"hospitalisation": u"hospitalization",
        u"hospitalise": u"hospitalize",
        u"hospitalised": u"hospitalized",
        u"hospitalises": u"hospitalizes",
        u"hospitalising": u"hospitalizing",
        u"humanise": u"humanize",
        u"humanised": u"humanized",
        u"humanises": u"humanizes",
        u"humanising": u"humanizing",
        u"humour": u"humor",
        u"humoured": u"humored",
        u"humouring": u"humoring",
        u"humourless": u"humorless",
        u"humours": u"humors",
        u"hybridise": u"hybridize",
        u"hybridised": u"hybridized",
        u"hybridises": u"hybridizes",
        u"hybridising": u"hybridizing",
        u"hypnotise": u"hypnotize",
        u"hypnotised": u"hypnotized",
        u"hypnotises": u"hypnotizes",
        u"hypnotising": u"hypnotizing",
        u"hypothesise": u"hypothesize",
        u"hypothesised": u"hypothesized",
        u"hypothesises": u"hypothesizes",
        u"hypothesising": u"hypothesizing",
        u"idealisation": u"idealization",
        u"idealise": u"idealize",
        u"idealised": u"idealized",
        u"idealises": u"idealizes",
        u"idealising": u"idealizing",
        u"idolise": u"idolize",
        u"idolised": u"idolized",
        u"idolises": u"idolizes",
        u"idolising": u"idolizing",
        u"immobilisation": u"immobilization",
        u"immobilise": u"immobilize",
        u"immobilised": u"immobilized",
        u"immobiliser": u"immobilizer",
        u"immobilisers": u"immobilizers",
        u"immobilises": u"immobilizes",
        u"immobilising": u"immobilizing",
        u"immortalise": u"immortalize",
        u"immortalised": u"immortalized",
        u"immortalises": u"immortalizes",
        u"immortalising": u"immortalizing",
        u"immunisation": u"immunization",
        u"immunise": u"immunize",
        u"immunised": u"immunized",
        u"immunises": u"immunizes",
        u"immunising": u"immunizing",
        u"impanelled": u"impaneled",
        u"impanelling": u"impaneling",
        u"imperilled": u"imperiled",
        u"imperilling": u"imperiling",
        u"individualise": u"individualize",
        u"individualised": u"individualized",
        u"individualises": u"individualizes",
        u"individualising": u"individualizing",
        u"industrialise": u"industrialize",
        u"industrialised": u"industrialized",
        u"industrialises": u"industrializes",
        u"industrialising": u"industrializing",
        u"inflexion": u"inflection",
        u"inflexions": u"inflections",
        u"initialise": u"initialize",
        u"initialised": u"initialized",
        u"initialises": u"initializes",
        u"initialising": u"initializing",
        u"initialled": u"initialed",
        u"initialling": u"initialing",
        u"instal": u"install",
        u"instalment": u"installment",
        u"instalments": u"installments",
        u"instals": u"installs",
        u"instil": u"instill",
        u"instils": u"instills",
        u"institutionalisation": u"institutionalization",
        u"institutionalise": u"institutionalize",
        u"institutionalised": u"institutionalized",
        u"institutionalises": u"institutionalizes",
        u"institutionalising": u"institutionalizing",
        u"intellectualise": u"intellectualize",
        u"intellectualised": u"intellectualized",
        u"intellectualises": u"intellectualizes",
        u"intellectualising": u"intellectualizing",
        u"internalisation": u"internalization",
        u"internalise": u"internalize",
        u"internalised": u"internalized",
        u"internalises": u"internalizes",
        u"internalising": u"internalizing",
        u"internationalisation": u"internationalization",
        u"internationalise": u"internationalize",
        u"internationalised": u"internationalized",
        u"internationalises": u"internationalizes",
        u"internationalising": u"internationalizing",
        u"ionisation": u"ionization",
        u"ionise": u"ionize",
        u"ionised": u"ionized",
        u"ioniser": u"ionizer",
        u"ionisers": u"ionizers",
        u"ionises": u"ionizes",
        u"ionising": u"ionizing",
        u"italicise": u"italicize",
        u"italicised": u"italicized",
        u"italicises": u"italicizes",
        u"italicising": u"italicizing",
        u"itemise": u"itemize",
        u"itemised": u"itemized",
        u"itemises": u"itemizes",
        u"itemising": u"itemizing",
        u"jeopardise": u"jeopardize",
        u"jeopardised": u"jeopardized",
        u"jeopardises": u"jeopardizes",
        u"jeopardising": u"jeopardizing",
        u"jewelled": u"jeweled",
        u"jeweller": u"jeweler",
        u"jewellers": u"jewelers",
        u"jewellery": u"jewelry",
        u"judgement": u"judgment",
        u"kilogramme": u"kilogram",
        u"kilogrammes": u"kilograms",
        u"kilometre": u"kilometer",
        u"kilometres": u"kilometers",
        u"labelled": u"labeled",
        u"labelling": u"labeling",
        u"labour": u"labor",
        u"laboured": u"labored",
        u"labourer": u"laborer",
        u"labourers": u"laborers",
        u"labouring": u"laboring",
        u"labours": u"labors",
        u"lacklustre": u"lackluster",
        u"legalisation": u"legalization",
        u"legalise": u"legalize",
        u"legalised": u"legalized",
        u"legalises": u"legalizes",
        u"legalising": u"legalizing",
        u"legitimise": u"legitimize",
        u"legitimised": u"legitimized",
        u"legitimises": u"legitimizes",
        u"legitimising": u"legitimizing",
        u"leukaemia": u"leukemia",
        u"levelled": u"leveled",
        u"leveller": u"leveler",
        u"levellers": u"levelers",
        u"levelling": u"leveling",
        u"libelled": u"libeled",
        u"libelling": u"libeling",
        u"libellous": u"libelous",
        u"liberalisation": u"liberalization",
        u"liberalise": u"liberalize",
        u"liberalised": u"liberalized",
        u"liberalises": u"liberalizes",
        u"liberalising": u"liberalizing",
        u"licence": u"license",
        u"licenced": u"licensed",
        u"licences": u"licenses",
        u"licencing": u"licensing",
        u"likeable": u"likable",
        u"lionisation": u"lionization",
        u"lionise": u"lionize",
        u"lionised": u"lionized",
        u"lionises": u"lionizes",
        u"lionising": u"lionizing",
        u"liquidise": u"liquidize",
        u"liquidised": u"liquidized",
        u"liquidiser": u"liquidizer",
        u"liquidisers": u"liquidizers",
        u"liquidises": u"liquidizes",
        u"liquidising": u"liquidizing",
        u"litre": u"liter",
        u"litres": u"liters",
        u"localise": u"localize",
        u"localised": u"localized",
        u"localises": u"localizes",
        u"localising": u"localizing",
        u"louvre": u"louver",
        u"louvred": u"louvered",
        u"louvres": u"louvers",
        u"lustre": u"luster",
        u"magnetise": u"magnetize",
        u"magnetised": u"magnetized",
        u"magnetises": u"magnetizes",
        u"magnetising": u"magnetizing",
        u"manoeuvrability": u"maneuverability",
        u"manoeuvrable": u"maneuverable",
        u"manoeuvre": u"maneuver",
        u"manoeuvred": u"maneuvered",
        u"manoeuvres": u"maneuvers",
        u"manoeuvring": u"maneuvering",
        u"manoeuvrings": u"maneuverings",
        u"marginalisation": u"marginalization",
        u"marginalise": u"marginalize",
        u"marginalised": u"marginalized",
        u"marginalises": u"marginalizes",
        u"marginalising": u"marginalizing",
        u"marshalled": u"marshaled",
        u"marshalling": u"marshaling",
        u"marvelled": u"marveled",
        u"marvelling": u"marveling",
        u"marvellous": u"marvelous",
        u"marvellously": u"marvelously",
        u"materialisation": u"materialization",
        u"materialise": u"materialize",
        u"materialised": u"materialized",
        u"materialises": u"materializes",
        u"materialising": u"materializing",
        u"maximisation": u"maximization",
        u"maximise": u"maximize",
        u"maximised": u"maximized",
        u"maximises": u"maximizes",
        u"maximising": u"maximizing",
        u"meagre": u"meager",
        u"mechanisation": u"mechanization",
        u"mechanise": u"mechanize",
        u"mechanised": u"mechanized",
        u"mechanises": u"mechanizes",
        u"mechanising": u"mechanizing",
        u"mediaeval": u"medieval",
        u"memorialise": u"memorialize",
        u"memorialised": u"memorialized",
        u"memorialises": u"memorializes",
        u"memorialising": u"memorializing",
        u"memorise": u"memorize",
        u"memorised": u"memorized",
        u"memorises": u"memorizes",
        u"memorising": u"memorizing",
        u"mesmerise": u"mesmerize",
        u"mesmerised": u"mesmerized",
        u"mesmerises": u"mesmerizes",
        u"mesmerising": u"mesmerizing",
        u"metabolise": u"metabolize",
        u"metabolised": u"metabolized",
        u"metabolises": u"metabolizes",
        u"metabolising": u"metabolizing",
        u"metre": u"meter",
        u"metres": u"meters",
        u"micrometre": u"micrometer",
        u"micrometres": u"micrometers",
        u"militarise": u"militarize",
        u"militarised": u"militarized",
        u"militarises": u"militarizes",
        u"militarising": u"militarizing",
        u"milligramme": u"milligram",
        u"milligrammes": u"milligrams",
        u"millilitre": u"milliliter",
        u"millilitres": u"milliliters",
        u"millimetre": u"millimeter",
        u"millimetres": u"millimeters",
        u"miniaturisation": u"miniaturization",
        u"miniaturise": u"miniaturize",
        u"miniaturised": u"miniaturized",
        u"miniaturises": u"miniaturizes",
        u"miniaturising": u"miniaturizing",
        u"minibuses": u"minibusses",
        u"minimise": u"minimize",
        u"minimised": u"minimized",
        u"minimises": u"minimizes",
        u"minimising": u"minimizing",
        u"misbehaviour": u"misbehavior",
        u"misdemeanour": u"misdemeanor",
        u"misdemeanours": u"misdemeanors",
        u"misspelt": u"misspelled",
        u"mitre": u"miter",
        u"mitres": u"miters",
        u"mobilisation": u"mobilization",
        u"mobilise": u"mobilize",
        u"mobilised": u"mobilized",
        u"mobilises": u"mobilizes",
        u"mobilising": u"mobilizing",
        u"modelled": u"modeled",
        u"modeller": u"modeler",
        u"modellers": u"modelers",
        u"modelling": u"modeling",
        u"modernise": u"modernize",
        u"modernised": u"modernized",
        u"modernises": u"modernizes",
        u"modernising": u"modernizing",
        u"moisturise": u"moisturize",
        u"moisturised": u"moisturized",
        u"moisturiser": u"moisturizer",
        u"moisturisers": u"moisturizers",
        u"moisturises": u"moisturizes",
        u"moisturising": u"moisturizing",
        u"monologue": u"monolog",
        u"monologues": u"monologs",
        u"monopolisation": u"monopolization",
        u"monopolise": u"monopolize",
        u"monopolised": u"monopolized",
        u"monopolises": u"monopolizes",
        u"monopolising": u"monopolizing",
        u"moralise": u"moralize",
        u"moralised": u"moralized",
        u"moralises": u"moralizes",
        u"moralising": u"moralizing",
        u"motorised": u"motorized",
        u"mould": u"mold",
        u"moulded": u"molded",
        u"moulder": u"molder",
        u"mouldered": u"moldered",
        u"mouldering": u"moldering",
        u"moulders": u"molders",
        u"mouldier": u"moldier",
        u"mouldiest": u"moldiest",
        u"moulding": u"molding",
        u"mouldings": u"moldings",
        u"moulds": u"molds",
        u"mouldy": u"moldy",
        u"moult": u"molt",
        u"moulted": u"molted",
        u"moulting": u"molting",
        u"moults": u"molts",
        u"moustache": u"mustache",
        u"moustached": u"mustached",
        u"moustaches": u"mustaches",
        u"moustachioed": u"mustachioed",
        u"multicoloured": u"multicolored",
        u"nationalisation": u"nationalization",
        u"nationalisations": u"nationalizations",
        u"nationalise": u"nationalize",
        u"nationalised": u"nationalized",
        u"nationalises": u"nationalizes",
        u"nationalising": u"nationalizing",
        u"naturalisation": u"naturalization",
        u"naturalise": u"naturalize",
        u"naturalised": u"naturalized",
        u"naturalises": u"naturalizes",
        u"naturalising": u"naturalizing",
        u"neighbour": u"neighbor",
        u"neighbourhood": u"neighborhood",
        u"neighbourhoods": u"neighborhoods",
        u"neighbouring": u"neighboring",
        u"neighbourliness": u"neighborliness",
        u"neighbourly": u"neighborly",
        u"neighbours": u"neighbors",
        u"neutralisation": u"neutralization",
        u"neutralise": u"neutralize",
        u"neutralised": u"neutralized",
        u"neutralises": u"neutralizes",
        u"neutralising": u"neutralizing",
        u"normalisation": u"normalization",
        u"normalise": u"normalize",
        u"normalised": u"normalized",
        u"normalises": u"normalizes",
        u"normalising": u"normalizing",
        u"odour": u"odor",
        u"odourless": u"odorless",
        u"odours": u"odors",
        u"oesophagus": u"esophagus",
        u"oesophaguses": u"esophaguses",
        u"oestrogen": u"estrogen",
        u"offence": u"offense",
        u"offences": u"offenses",
        u"omelette": u"omelet",
        u"omelettes": u"omelets",
        u"optimise": u"optimize",
        u"optimised": u"optimized",
        u"optimises": u"optimizes",
        u"optimising": u"optimizing",
        u"organisation": u"organization",
        u"organisational": u"organizational",
        u"organisations": u"organizations",
        u"organise": u"organize",
        u"organised": u"organized",
        u"organiser": u"organizer",
        u"organisers": u"organizers",
        u"organises": u"organizes",
        u"organising": u"organizing",
        u"orthopaedic": u"orthopedic",
        u"orthopaedics": u"orthopedics",
        u"ostracise": u"ostracize",
        u"ostracised": u"ostracized",
        u"ostracises": u"ostracizes",
        u"ostracising": u"ostracizing",
        u"outmanoeuvre": u"outmaneuver",
        u"outmanoeuvred": u"outmaneuvered",
        u"outmanoeuvres": u"outmaneuvers",
        u"outmanoeuvring": u"outmaneuvering",
        u"overemphasise": u"overemphasize",
        u"overemphasised": u"overemphasized",
        u"overemphasises": u"overemphasizes",
        u"overemphasising": u"overemphasizing",
        u"oxidisation": u"oxidization",
        u"oxidise": u"oxidize",
        u"oxidised": u"oxidized",
        u"oxidises": u"oxidizes",
        u"oxidising": u"oxidizing",
        u"paederast": u"pederast",
        u"paederasts": u"pederasts",
        u"paediatric": u"pediatric",
        u"paediatrician": u"pediatrician",
        u"paediatricians": u"pediatricians",
        u"paediatrics": u"pediatrics",
        u"paedophile": u"pedophile",
        u"paedophiles": u"pedophiles",
        u"paedophilia": u"pedophilia",
        u"palaeolithic": u"paleolithic",
        u"palaeontologist": u"paleontologist",
        u"palaeontologists": u"paleontologists",
        u"palaeontology": u"paleontology",
        u"panelled": u"paneled",
        u"panelling": u"paneling",
        u"panellist": u"panelist",
        u"panellists": u"panelists",
        u"paralyse": u"paralyze",
        u"paralysed": u"paralyzed",
        u"paralyses": u"paralyzes",
        u"paralysing": u"paralyzing",
        u"parcelled": u"parceled",
        u"parcelling": u"parceling",
        u"parlour": u"parlor",
        u"parlours": u"parlors",
        u"particularise": u"particularize",
        u"particularised": u"particularized",
        u"particularises": u"particularizes",
        u"particularising": u"particularizing",
        u"passivisation": u"passivization",
        u"passivise": u"passivize",
        u"passivised": u"passivized",
        u"passivises": u"passivizes",
        u"passivising": u"passivizing",
        u"pasteurisation": u"pasteurization",
        u"pasteurise": u"pasteurize",
        u"pasteurised": u"pasteurized",
        u"pasteurises": u"pasteurizes",
        u"pasteurising": u"pasteurizing",
        u"patronise": u"patronize",
        u"patronised": u"patronized",
        u"patronises": u"patronizes",
        u"patronising": u"patronizing",
        u"patronisingly": u"patronizingly",
        u"pedalled": u"pedaled",
        u"pedalling": u"pedaling",
        u"pedestrianisation": u"pedestrianization",
        u"pedestrianise": u"pedestrianize",
        u"pedestrianised": u"pedestrianized",
        u"pedestrianises": u"pedestrianizes",
        u"pedestrianising": u"pedestrianizing",
        u"penalise": u"penalize",
        u"penalised": u"penalized",
        u"penalises": u"penalizes",
        u"penalising": u"penalizing",
        u"pencilled": u"penciled",
        u"pencilling": u"penciling",
        u"personalise": u"personalize",
        u"personalised": u"personalized",
        u"personalises": u"personalizes",
        u"personalising": u"personalizing",
        u"pharmacopoeia": u"pharmacopeia",
        u"pharmacopoeias": u"pharmacopeias",
        u"philosophise": u"philosophize",
        u"philosophised": u"philosophized",
        u"philosophises": u"philosophizes",
        u"philosophising": u"philosophizing",
        u"philtre": u"filter",
        u"philtres": u"filters",
        u"phoney": u"phony",
        u"plagiarise": u"plagiarize",
        u"plagiarised": u"plagiarized",
        u"plagiarises": u"plagiarizes",
        u"plagiarising": u"plagiarizing",
        u"plough": u"plow",
        u"ploughed": u"plowed",
        u"ploughing": u"plowing",
        u"ploughman": u"plowman",
        u"ploughmen": u"plowmen",
        u"ploughs": u"plows",
        u"ploughshare": u"plowshare",
        u"ploughshares": u"plowshares",
        u"polarisation": u"polarization",
        u"polarise": u"polarize",
        u"polarised": u"polarized",
        u"polarises": u"polarizes",
        u"polarising": u"polarizing",
        u"politicisation": u"politicization",
        u"politicise": u"politicize",
        u"politicised": u"politicized",
        u"politicises": u"politicizes",
        u"politicising": u"politicizing",
        u"popularisation": u"popularization",
        u"popularise": u"popularize",
        u"popularised": u"popularized",
        u"popularises": u"popularizes",
        u"popularising": u"popularizing",
        u"pouffe": u"pouf",
        u"pouffes": u"poufs",
        u"practise": u"practice",
        u"practised": u"practiced",
        u"practises": u"practices",
        u"practising": u"practicing",
        u"praesidium": u"presidium",
        u"praesidiums": u"presidiums",
        u"pressurisation": u"pressurization",
        u"pressurise": u"pressurize",
        u"pressurised": u"pressurized",
        u"pressurises": u"pressurizes",
        u"pressurising": u"pressurizing",
        u"pretence": u"pretense",
        u"pretences": u"pretenses",
        u"primaeval": u"primeval",
        u"prioritisation": u"prioritization",
        u"prioritise": u"prioritize",
        u"prioritised": u"prioritized",
        u"prioritises": u"prioritizes",
        u"prioritising": u"prioritizing",
        u"privatisation": u"privatization",
        u"privatisations": u"privatizations",
        u"privatise": u"privatize",
        u"privatised": u"privatized",
        u"privatises": u"privatizes",
        u"privatising": u"privatizing",
        u"professionalisation": u"professionalization",
        u"professionalise": u"professionalize",
        u"professionalised": u"professionalized",
        u"professionalises": u"professionalizes",
        u"professionalising": u"professionalizing",
        u"programme": u"program",
        u"programmes": u"programs",
        u"prologue": u"prolog",
        u"prologues": u"prologs",
        u"propagandise": u"propagandize",
        u"propagandised": u"propagandized",
        u"propagandises": u"propagandizes",
        u"propagandising": u"propagandizing",
        u"proselytise": u"proselytize",
        u"proselytised": u"proselytized",
        u"proselytiser": u"proselytizer",
        u"proselytisers": u"proselytizers",
        u"proselytises": u"proselytizes",
        u"proselytising": u"proselytizing",
        u"psychoanalyse": u"psychoanalyze",
        u"psychoanalysed": u"psychoanalyzed",
        u"psychoanalyses": u"psychoanalyzes",
        u"psychoanalysing": u"psychoanalyzing",
        u"publicise": u"publicize",
        u"publicised": u"publicized",
        u"publicises": u"publicizes",
        u"publicising": u"publicizing",
        u"pulverisation": u"pulverization",
        u"pulverise": u"pulverize",
        u"pulverised": u"pulverized",
        u"pulverises": u"pulverizes",
        u"pulverising": u"pulverizing",
        u"pummelled": u"pummel",
        u"pummelling": u"pummeled",
        u"pyjama": u"pajama",
        u"pyjamas": u"pajamas",
        u"pzazz": u"pizzazz",
        u"quarrelled": u"quarreled",
        u"quarrelling": u"quarreling",
        u"radicalise": u"radicalize",
        u"radicalised": u"radicalized",
        u"radicalises": u"radicalizes",
        u"radicalising": u"radicalizing",
        u"rancour": u"rancor",
        u"randomise": u"randomize",
        u"randomised": u"randomized",
        u"randomises": u"randomizes",
        u"randomising": u"randomizing",
        u"rationalisation": u"rationalization",
        u"rationalisations": u"rationalizations",
        u"rationalise": u"rationalize",
        u"rationalised": u"rationalized",
        u"rationalises": u"rationalizes",
        u"rationalising": u"rationalizing",
        u"ravelled": u"raveled",
        u"ravelling": u"raveling",
        u"realisable": u"realizable",
        u"realisation": u"realization",
        u"realisations": u"realizations",
        u"realise": u"realize",
        u"realised": u"realized",
        u"realises": u"realizes",
        u"realising": u"realizing",
        u"recognisable": u"recognizable",
        u"recognisably": u"recognizably",
        u"recognisance": u"recognizance",
        u"recognise": u"recognize",
        u"recognised": u"recognized",
        u"recognises": u"recognizes",
        u"recognising": u"recognizing",
        u"reconnoitre": u"reconnoiter",
        u"reconnoitred": u"reconnoitered",
        u"reconnoitres": u"reconnoiters",
        u"reconnoitring": u"reconnoitering",
        u"refuelled": u"refueled",
        u"refuelling": u"refueling",
        u"regularisation": u"regularization",
        u"regularise": u"regularize",
        u"regularised": u"regularized",
        u"regularises": u"regularizes",
        u"regularising": u"regularizing",
        u"remodelled": u"remodeled",
        u"remodelling": u"remodeling",
        u"remould": u"remold",
        u"remoulded": u"remolded",
        u"remoulding": u"remolding",
        u"remoulds": u"remolds",
        u"reorganisation": u"reorganization",
        u"reorganisations": u"reorganizations",
        u"reorganise": u"reorganize",
        u"reorganised": u"reorganized",
        u"reorganises": u"reorganizes",
        u"reorganising": u"reorganizing",
        u"revelled": u"reveled",
        u"reveller": u"reveler",
        u"revellers": u"revelers",
        u"revelling": u"reveling",
        u"revitalise": u"revitalize",
        u"revitalised": u"revitalized",
        u"revitalises": u"revitalizes",
        u"revitalising": u"revitalizing",
        u"revolutionise": u"revolutionize",
        u"revolutionised": u"revolutionized",
        u"revolutionises": u"revolutionizes",
        u"revolutionising": u"revolutionizing",
        u"rhapsodise": u"rhapsodize",
        u"rhapsodised": u"rhapsodized",
        u"rhapsodises": u"rhapsodizes",
        u"rhapsodising": u"rhapsodizing",
        u"rigour": u"rigor",
        u"rigours": u"rigors",
        u"ritualised": u"ritualized",
        u"rivalled": u"rivaled",
        u"rivalling": u"rivaling",
        u"romanticise": u"romanticize",
        u"romanticised": u"romanticized",
        u"romanticises": u"romanticizes",
        u"romanticising": u"romanticizing",
        u"rumour": u"rumor",
        u"rumoured": u"rumored",
        u"rumours": u"rumors",
        u"sabre": u"saber",
        u"sabres": u"sabers",
        u"saltpetre": u"saltpeter",
        u"sanitise": u"sanitize",
        u"sanitised": u"sanitized",
        u"sanitises": u"sanitizes",
        u"sanitising": u"sanitizing",
        u"satirise": u"satirize",
        u"satirised": u"satirized",
        u"satirises": u"satirizes",
        u"satirising": u"satirizing",
        u"saviour": u"savior",
        u"saviours": u"saviors",
        u"savour": u"savor",
        u"savoured": u"savored",
        u"savouries": u"savories",
        u"savouring": u"savoring",
        u"savours": u"savors",
        u"savoury": u"savory",
        u"scandalise": u"scandalize",
        u"scandalised": u"scandalized",
        u"scandalises": u"scandalizes",
        u"scandalising": u"scandalizing",
        u"sceptic": u"skeptic",
        u"sceptical": u"skeptical",
        u"sceptically": u"skeptically",
        u"scepticism": u"skepticism",
        u"sceptics": u"skeptics",
        u"sceptre": u"scepter",
        u"sceptres": u"scepters",
        u"scrutinise": u"scrutinize",
        u"scrutinised": u"scrutinized",
        u"scrutinises": u"scrutinizes",
        u"scrutinising": u"scrutinizing",
        u"secularisation": u"secularization",
        u"secularise": u"secularize",
        u"secularised": u"secularized",
        u"secularises": u"secularizes",
        u"secularising": u"secularizing",
        u"sensationalise": u"sensationalize",
        u"sensationalised": u"sensationalized",
        u"sensationalises": u"sensationalizes",
        u"sensationalising": u"sensationalizing",
        u"sensitise": u"sensitize",
        u"sensitised": u"sensitized",
        u"sensitises": u"sensitizes",
        u"sensitising": u"sensitizing",
        u"sentimentalise": u"sentimentalize",
        u"sentimentalised": u"sentimentalized",
        u"sentimentalises": u"sentimentalizes",
        u"sentimentalising": u"sentimentalizing",
        u"sepulchre": u"sepulcher",
        u"sepulchres": u"sepulchers",
        u"serialisation": u"serialization",
        u"serialisations": u"serializations",
        u"serialise": u"serialize",
        u"serialised": u"serialized",
        u"serialises": u"serializes",
        u"serialising": u"serializing",
        u"sermonise": u"sermonize",
        u"sermonised": u"sermonized",
        u"sermonises": u"sermonizes",
        u"sermonising": u"sermonizing",
        u"sheikh": u"sheik",
        u"shovelled": u"shoveled",
        u"shovelling": u"shoveling",
        u"shrivelled": u"shriveled",
        u"shrivelling": u"shriveling",
        u"signalise": u"signalize",
        u"signalised": u"signalized",
        u"signalises": u"signalizes",
        u"signalising": u"signalizing",
        u"signalled": u"signaled",
        u"signalling": u"signaling",
        u"smoulder": u"smolder",
        u"smouldered": u"smoldered",
        u"smouldering": u"smoldering",
        u"smoulders": u"smolders",
        u"snivelled": u"sniveled",
        u"snivelling": u"sniveling",
        u"snorkelled": u"snorkeled",
        u"snorkelling": u"snorkeling",
        u"snowplough": u"snowplow",
        u"snowploughs": u"snowplow",
        u"socialisation": u"socialization",
        u"socialise": u"socialize",
        u"socialised": u"socialized",
        u"socialises": u"socializes",
        u"socialising": u"socializing",
        u"sodomise": u"sodomize",
        u"sodomised": u"sodomized",
        u"sodomises": u"sodomizes",
        u"sodomising": u"sodomizing",
        u"solemnise": u"solemnize",
        u"solemnised": u"solemnized",
        u"solemnises": u"solemnizes",
        u"solemnising": u"solemnizing",
        u"sombre": u"somber",
        u"specialisation": u"specialization",
        u"specialisations": u"specializations",
        u"specialise": u"specialize",
        u"specialised": u"specialized",
        u"specialises": u"specializes",
        u"specialising": u"specializing",
        u"spectre": u"specter",
        u"spectres": u"specters",
        u"spiralled": u"spiraled",
        u"spiralling": u"spiraling",
        u"splendour": u"splendor",
        u"splendours": u"splendors",
        u"squirrelled": u"squirreled",
        u"squirrelling": u"squirreling",
        u"stabilisation": u"stabilization",
        u"stabilise": u"stabilize",
        u"stabilised": u"stabilized",
        u"stabiliser": u"stabilizer",
        u"stabilisers": u"stabilizers",
        u"stabilises": u"stabilizes",
        u"stabilising": u"stabilizing",
        u"standardisation": u"standardization",
        u"standardise": u"standardize",
        u"standardised": u"standardized",
        u"standardises": u"standardizes",
        u"standardising": u"standardizing",
        u"stencilled": u"stenciled",
        u"stencilling": u"stenciling",
        u"sterilisation": u"sterilization",
        u"sterilisations": u"sterilizations",
        u"sterilise": u"sterilize",
        u"sterilised": u"sterilized",
        u"steriliser": u"sterilizer",
        u"sterilisers": u"sterilizers",
        u"sterilises": u"sterilizes",
        u"sterilising": u"sterilizing",
        u"stigmatisation": u"stigmatization",
        u"stigmatise": u"stigmatize",
        u"stigmatised": u"stigmatized",
        u"stigmatises": u"stigmatizes",
        u"stigmatising": u"stigmatizing",
        u"storey": u"story",
        u"storeys": u"stories",
        u"subsidisation": u"subsidization",
        u"subsidise": u"subsidize",
        u"subsidised": u"subsidized",
        u"subsidiser": u"subsidizer",
        u"subsidisers": u"subsidizers",
        u"subsidises": u"subsidizes",
        u"subsidising": u"subsidizing",
        u"succour": u"succor",
        u"succoured": u"succored",
        u"succouring": u"succoring",
        u"succours": u"succors",
        u"sulphate": u"sulfate",
        u"sulphates": u"sulfates",
        u"sulphide": u"sulfide",
        u"sulphides": u"sulfides",
        u"sulphur": u"sulfur",
        u"sulphurous": u"sulfurous",
        u"summarise": u"summarize",
        u"summarised": u"summarized",
        u"summarises": u"summarizes",
        u"summarising": u"summarizing",
        u"swivelled": u"swiveled",
        u"swivelling": u"swiveling",
        u"symbolise": u"symbolize",
        u"symbolised": u"symbolized",
        u"symbolises": u"symbolizes",
        u"symbolising": u"symbolizing",
        u"sympathise": u"sympathize",
        u"sympathised": u"sympathized",
        u"sympathiser": u"sympathizer",
        u"sympathisers": u"sympathizers",
        u"sympathises": u"sympathizes",
        u"sympathising": u"sympathizing",
        u"synchronisation": u"synchronization",
        u"synchronise": u"synchronize",
        u"synchronised": u"synchronized",
        u"synchronises": u"synchronizes",
        u"synchronising": u"synchronizing",
        u"synthesise": u"synthesize",
        u"synthesised": u"synthesized",
        u"synthesiser": u"synthesizer",
        u"synthesisers": u"synthesizers",
        u"synthesises": u"synthesizes",
        u"synthesising": u"synthesizing",
        u"syphon": u"siphon",
        u"syphoned": u"siphoned",
        u"syphoning": u"siphoning",
        u"syphons": u"siphons",
        u"systematisation": u"systematization",
        u"systematise": u"systematize",
        u"systematised": u"systematized",
        u"systematises": u"systematizes",
        u"systematising": u"systematizing",
        u"tantalise": u"tantalize",
        u"tantalised": u"tantalized",
        u"tantalises": u"tantalizes",
        u"tantalising": u"tantalizing",
        u"tantalisingly": u"tantalizingly",
        u"tasselled": u"tasseled",
        u"technicolour": u"technicolor",
        u"temporise": u"temporize",
        u"temporised": u"temporized",
        u"temporises": u"temporizes",
        u"temporising": u"temporizing",
        u"tenderise": u"tenderize",
        u"tenderised": u"tenderized",
        u"tenderises": u"tenderizes",
        u"tenderising": u"tenderizing",
        u"terrorise": u"terrorize",
        u"terrorised": u"terrorized",
        u"terrorises": u"terrorizes",
        u"terrorising": u"terrorizing",
        u"theatre": u"theater",
        u"theatregoer": u"theatergoer",
        u"theatregoers": u"theatergoers",
        u"theatres": u"theaters",
        u"theorise": u"theorize",
        u"theorised": u"theorized",
        u"theorises": u"theorizes",
        u"theorising": u"theorizing",
        u"tonne": u"ton",
        u"tonnes": u"tons",
        u"towelled": u"toweled",
        u"towelling": u"toweling",
        u"toxaemia": u"toxemia",
        u"tranquillise": u"tranquilize",
        u"tranquillised": u"tranquilized",
        u"tranquilliser": u"tranquilizer",
        u"tranquillisers": u"tranquilizers",
        u"tranquillises": u"tranquilizes",
        u"tranquillising": u"tranquilizing",
        u"tranquillity": u"tranquility",
        u"tranquillize": u"tranquilize",
        u"tranquillized": u"tranquilized",
        u"tranquillizer": u"tranquilizer",
        u"tranquillizers": u"tranquilizers",
        u"tranquillizes": u"tranquilizes",
        u"tranquillizing": u"tranquilizing",
        u"tranquilly": u"tranquility",
        u"transistorised": u"transistorized",
        u"traumatise": u"traumatize",
        u"traumatised": u"traumatized",
        u"traumatises": u"traumatizes",
        u"traumatising": u"traumatizing",
        u"travelled": u"traveled",
        u"traveller": u"traveler",
        u"travellers": u"travelers",
        u"travelling": u"traveling",
        u"travelogue": u"travelog",
        u"travelogues": u"travelogs",
        u"trialled": u"trialed",
        u"trialling": u"trialing",
        u"tricolour": u"tricolor",
        u"tricolours": u"tricolors",
        u"trivialise": u"trivialize",
        u"trivialised": u"trivialized",
        u"trivialises": u"trivializes",
        u"trivialising": u"trivializing",
        u"tumour": u"tumor",
        u"tumours": u"tumors",
        u"tunnelled": u"tunneled",
        u"tunnelling": u"tunneling",
        u"tyrannise": u"tyrannize",
        u"tyrannised": u"tyrannized",
        u"tyrannises": u"tyrannizes",
        u"tyrannising": u"tyrannizing",
        u"tyre": u"tire",
        u"tyres": u"tires",
        u"unauthorised": u"unauthorized",
        u"uncivilised": u"uncivilized",
        u"underutilised": u"underutilized",
        u"unequalled": u"unequaled",
        u"unfavourable": u"unfavorable",
        u"unfavourably": u"unfavorably",
        u"unionisation": u"unionization",
        u"unionise": u"unionize",
        u"unionised": u"unionized",
        u"unionises": u"unionizes",
        u"unionising": u"unionizing",
        u"unorganised": u"unorganized",
        u"unravelled": u"unraveled",
        u"unravelling": u"unraveling",
        u"unrecognisable": u"unrecognizable",
        u"unrecognised": u"unrecognized",
        u"unrivalled": u"unrivaled",
        u"unsavoury": u"unsavory",
        u"untrammelled": u"untrammeled",
        u"urbanisation": u"urbanization",
        u"urbanise": u"urbanize",
        u"urbanised": u"urbanized",
        u"urbanises": u"urbanizes",
        u"urbanising": u"urbanizing",
        u"utilisable": u"utilizable",
        u"utilisation": u"utilization",
        u"utilise": u"utilize",
        u"utilised": u"utilized",
        u"utilises": u"utilizes",
        u"utilising": u"utilizing",
        u"valour": u"valor",
        u"vandalise": u"vandalize",
        u"vandalised": u"vandalized",
        u"vandalises": u"vandalizes",
        u"vandalising": u"vandalizing",
        u"vaporisation": u"vaporization",
        u"vaporise": u"vaporize",
        u"vaporised": u"vaporized",
        u"vaporises": u"vaporizes",
        u"vaporising": u"vaporizing",
        u"vapour": u"vapor",
        u"vapours": u"vapors",
        u"verbalise": u"verbalize",
        u"verbalised": u"verbalized",
        u"verbalises": u"verbalizes",
        u"verbalising": u"verbalizing",
        u"victimisation": u"victimization",
        u"victimise": u"victimize",
        u"victimised": u"victimized",
        u"victimises": u"victimizes",
        u"victimising": u"victimizing",
        u"videodisc": u"videodisk",
        u"videodiscs": u"videodisks",
        u"vigour": u"vigor",
        u"visualisation": u"visualization",
        u"visualisations": u"visualizations",
        u"visualise": u"visualize",
        u"visualised": u"visualized",
        u"visualises": u"visualizes",
        u"visualising": u"visualizing",
        u"vocalisation": u"vocalization",
        u"vocalisations": u"vocalizations",
        u"vocalise": u"vocalize",
        u"vocalised": u"vocalized",
        u"vocalises": u"vocalizes",
        u"vocalising": u"vocalizing",
        u"vulcanised": u"vulcanized",
        u"vulgarisation": u"vulgarization",
        u"vulgarise": u"vulgarize",
        u"vulgarised": u"vulgarized",
        u"vulgarises": u"vulgarizes",
        u"vulgarising": u"vulgarizing",
        u"waggon": u"wagon",
        u"waggons": u"wagons",
        u"watercolour": u"watercolor",
        u"watercolours": u"watercolors",
        u"weaselled": u"weaseled",
        u"weaselling": u"weaseling",
        u"westernisation": u"westernization",
        u"westernise": u"westernize",
        u"westernised": u"westernized",
        u"westernises": u"westernizes",
        u"westernising": u"westernizing",
        u"womanise": u"womanize",
        u"womanised": u"womanized",
        u"womaniser": u"womanizer",
        u"womanisers": u"womanizers",
        u"womanises": u"womanizes",
        u"womanising": u"womanizing",
        u"woollen": u"woolen",
        u"woollens": u"woolens",
        u"woollies": u"woolies",
        u"woolly": u"wooly",
        u"worshipped": u"worshiped",
        u"worshipping": u"worshiping",
        u"worshipper": u"worshiper",
        u"yodelled": u"yodeled",
        u"yodelling": u"yodeling",
        u"yoghourt": u"yogurt",
        u"yoghourts": u"yogurts",
        u"yoghurt": u"yogurt",
        u"yoghurts": u"yogurts"}

